declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    headers: {
        type: ArrayConstructor;
        required: true;
        description: string;
    };
    staticHeaders: {
        type: ArrayConstructor;
        default: () => any[];
        description: string;
    };
}>, {}, {
    draft: any[];
    isColumnSelectPopup: boolean;
}, {
    changeableDraft(): any[];
}, {
    shownColLabel({ text, locale }: {
        text: any;
        locale: any;
    }): any;
    openPopup(): void;
    close(): void;
    fillHeadersDraft(): void;
    setShownColumns(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    headers: {
        type: ArrayConstructor;
        required: true;
        description: string;
    };
    staticHeaders: {
        type: ArrayConstructor;
        default: () => any[];
        description: string;
    };
}>> & Readonly<{
    onChange?: (...args: any[]) => any;
}>, {
    staticHeaders: unknown[];
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
